Subject: Re: Compression packages?

From: [email-masked] (David S. Rosinger)
Date: Mon, 26 Aug 96 10:30:18 EDT

Peter,

> Has anyone got any of the transparent decompression packages (crypt++,
> jka-compr, anything else?) working? If so, how?
> 
> 			Peter

With a little assistance from Andrew, I have gotten `crypt++' to
work.  The key is setting `binary-process-input' and `binary-process-output'
on `win32' platforms.

Here is normal diff output which shows the changes I made to `crypt++.el'
(version 2.82, 1994/03/31, the latest when I last checked the Ohio State
Elisp archive):

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    cd c:/local/lib/emacs/lisp/
    diff  "c:/local/lib/emacs/lisp/crypt++.el0" "c:/local/lib/emacs/lisp/crypt++.el"
    850,852c850,852
    <          "des" "des"
    <          '("-e" "-k")
    <          '("-d" "-k")
    ---
    >          "descrypt" "descrypt"
    >          '("" "")
    >          '("-d" "")
    1036,1037c1036,1037
    <          "compress" "uncompress"
    <          nil nil
    ---
    >          "gzip" "gzip"
    >          "--quiet" "--decompress --quiet"
    1298a1299,1300
    > 	(binary-process-input t) ; dsr, Win32
    > 	(binary-process-output nil) ; dsr, Win32
    1627a1630,1632
    >   (let ((binary-process-input nil) ; dsr, Win32
    > 	(binary-process-output t)) ; dsr, Win32
    > 
    1754c1759
    <               (delete-region (point-min) (point-max))))))))
    ---
    >               (delete-region (point-min) (point-max)))))))))
    1884c1889,1892
    <        (call-process-region start end shell-file-name t t nil "-c" prog))
    ---
    > ;;     (call-process-region start end shell-file-name t t nil "-c" prog))
    > ;;     (message "prog is: %s" prog)
    > ;;     (sleep-for 1)
    >        (call-process-region start end shell-file-name t t nil "/C" prog))

    Diff finished at Mon Aug 26 10:04:51
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Note the other changes as well:

   * `compress' replaced with `gzip'

   * `des' replaced with a home-grown version `descrypt' (although
     I haven't yet gotten this to work)

   * "-c" replaced with "/C" (for the NT shell).

I'll attach my complete changed version of 'crypt++.el' in a mail
message to follow.  Perhaps Chris Szurgot might be interested in
making this available on his "Virtually UNIX" site.

-- 
+------------------------------------------------+
| David S. Rosinger         /  [email-masked] |
| Intergraph Corporation   /   (703) 264-5737    |
+------------------------------------------------+